#ifndef _INCLUDES_H_
#define _INCLUDES_H_



#include <linux/config.h>
#if defined(CONFIG_MODVERSIONS) && !defined(MODVERSIONS)
	#define MODVERSIONS
#endif

#if defined (MODVERSIONS)
#include <linux/modversions.h>
#endif

#include <linux/module.h>
#include <linux/version.h>

#include <linux/kernel.h>
#include <linux/fs.h>
#include <linux/mm.h>	// GFP_* declarations
#include <linux/tqueue.h> // for DECLARE_TASK_QUEUE
#include <linux/ioport.h> // release_region
#include <linux/slab.h> // kmalloc and kfree

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/init.h>
#include <linux/sched.h> //interruptible_sleep
#include <linux/fcntl.h>
#include <linux/delay.h>
#include <linux/types.h>
#include <linux/locks.h>
#include <linux/smp_lock.h>
#include <linux/unistd.h>

//#include <boot/kernel.h>

#include <asm/semaphore.h>
#include <asm/io.h>
#include <asm/segment.h>
#include <asm/system.h>
#include <asm/unistd.h>
#include <asm/uaccess.h> // copy_to_user et al
#include <asm/delay.h>

#include <pcmcia/version.h>
#include <pcmcia/cs_types.h>
#include <pcmcia/cs.h>
#include <pcmcia/cistpl.h>
#include <pcmcia/cisreg.h>
#include <pcmcia/ds.h>
#include <pcmcia/bus_ops.h>

 

 
#include "def.h"
#include "ccid.h"
#include "pcsc.h"
#include "intrface.h"
#include "protos.h"
#include "debuglog.h"

#endif
